<mat-toolbar>
  <mat-toolbar-row>
    <a href="{{configurationVal && configurationVal.skaoHomepage}}" target="_blank" class="logo">
      <img src="assets/images/logo.png" class="logoImg">
    </a>
    <span class="title" *ngFor="let title of configurationVal && configurationVal.appTitle;" >
      <span class="title-style-b">{{title.name}}</span>
    </span>
    <span class="spacer"></span>
    <div class="rhs-options">
  <button mat-icon-button color="primary" type= "button" [matMenuTriggerFor]="languageSelection" id="languageSelectorMenuButton"
      matTooltip="Expand to change language" matTooltipPosition="below">
      <mat-icon class="icon" [svgIcon]="selectedLanguageCode" aria-hidden="false" aria-label="language selection"></mat-icon>
    </button>
    <mat-menu #languageSelection="matMenu">
      <ng-container *ngFor="let l of languages">
        <button class="modeBtn" (click)="useLanguage(l)" mat-menu-item>{{ l.title }}</button>
      </ng-container>
    </mat-menu>
    <button mat-icon-button name="theme" color="primary" aria-label="Theme Selection" (click)="swapTheme()">
      <mat-icon color="accent" matTooltip="Click to change theme" *ngIf="!isDarkMode()">dark_mode</mat-icon>
      <mat-icon color="accent" matTooltip="Click to change theme" *ngIf="isDarkMode()">light_mode</mat-icon>
    </button>
  <button mat-icon-button name="theme" color="primary" (click)="goToDocumentation()" type="button">
      <mat-icon color="accent" matTooltip ="Go to documentation" class="icon" aria-hidden="false" aria-label="Go to documentation">
          help</mat-icon>
  </button>
</div>
  </mat-toolbar-row>
</mat-toolbar>

